import { ReactNode } from 'react'
import styles from './index.module.css'

interface Props {
  leftComponent?: ReactNode, 
  rightComponent?: ReactNode
}

export default function FilterHeaderLayout({ leftComponent, rightComponent }: Props) {    
  return (
    <>
      <div className={styles['filter-header-layout']}>
        <div className={styles['left']}>
          { leftComponent }
        </div>
        <div className={styles['right']}>
          { rightComponent }
        </div>
      </div>
    </>
  )
}
